# Uses of Class
org.apache.zookeeper.server.RequestProcessor.RequestProcessorException

Packages that use RequestProcessor.RequestProcessorException
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of RequestProcessor.RequestProcessorException in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that throw RequestProcessor.RequestProcessorException
Modifier and Type
Method
Description
`protected void`
ContainerManager.`postDeleteRequest(Request request)`
`protected void`
PrepRequestProcessor.`pRequest(Request request)`
This method will be called inside the ProcessRequestThread, which is a singleton, so there will be a single thread calling this code.
`protected void`
PrepRequestProcessor.`pRequest2Txn(int type, long zxid, Request request, Record record)`
This method will be called inside the ProcessRequestThread, which is a singleton, so there will be a single thread calling this code.
`void`
RequestProcessor.`processRequest(Request request)`
`void`
UnimplementedRequestProcessor.`processRequest(Request request)`

## Uses of RequestProcessor.RequestProcessorException in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that throw RequestProcessor.RequestProcessorException
Modifier and Type
Method
Description
`void`
LeaderRequestProcessor.`processRequest(Request request)`
`void`
ProposalRequestProcessor.`processRequest(Request request)`